import React, { Component } from 'react';
import PropTypes from 'prop-types';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var HyperwalletTranferMethodDropIn = function (_Component) {
  inherits(HyperwalletTranferMethodDropIn, _Component);

  function HyperwalletTranferMethodDropIn() {
    var _ref;

    var _temp, _this, _ret;

    classCallCheck(this, HyperwalletTranferMethodDropIn);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = possibleConstructorReturn(this, (_ref = HyperwalletTranferMethodDropIn.__proto__ || Object.getPrototypeOf(HyperwalletTranferMethodDropIn)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      isSdkReady: false,
      isUILoaded: false
    }, _this._addPaypalSdk = function () {
      var _this$props = _this.props,
          userToken = _this$props.userToken,
          environment = _this$props.environment,
          _onComplete = _this$props.onComplete;


      var script = document.createElement('script');
      script.type = 'text/javascript';
      script.src = 'https://' + environment + '.hyperwallet.com/rest/widgets/transfer-methods/' + userToken + '/en.min.js';
      script.async = true;
      script.onload = function () {
        _this.setState({ isSdkReady: true });
        window.HWWidgets.transferMethods.configure({
          'template': 'plain',
          'el': document.getElementById('TransferMethodUI'),
          'onComplete': function onComplete(trmObject, completionResult) {
            _onComplete(trmObject, completionResult);
          }
        }).display(function () {
          // this is a callback event called when display is done
          this.setState({ isUILoaded: true });
        }.bind(_this));
      };
      script.onerror = function () {
        throw new Error('Hyperwallet SDK could not be loaded.');
      };

      document.body.appendChild(script);
    }, _this._getAuthenticationToken = function (callback) {
      _this.props.getAuthenticationToken(callback);
    }, _temp), possibleConstructorReturn(_this, _ret);
  }

  createClass(HyperwalletTranferMethodDropIn, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this._addPaypalSdk();
    }
  }, {
    key: 'render',
    value: function render() {
      if (this.state.isSdkReady) {
        window.HWWidgets.initialize(this._getAuthenticationToken);
      }

      return React.createElement(
        'div',
        null,
        this.state.isUILoaded ? null : 'loading',
        React.createElement('div', { id: 'TransferMethodUI' })
      );
    }
  }]);
  return HyperwalletTranferMethodDropIn;
}(Component);

HyperwalletTranferMethodDropIn.propTypes = {
  userToken: PropTypes.string,
  environment: PropTypes.oneOf(['sandbox', 'uat', 'production']),
  getAuthenticationToken: PropTypes.func,
  onComplete: PropTypes.func
};

export default HyperwalletTranferMethodDropIn;
//# sourceMappingURL=index.es.js.map
